package com.zaojiao.app.feat.home.personal

data class HomePersonalUserUiState(
    val name: String,
    val avatar: String?,
    val followCount: Int = 0,
    val followerCount: Int = 0,
    val likeCount: Int = 0,
    val favoriteCount: Int = 0,
){
    companion object {
        val None = HomePersonalUserUiState(
            name = "",
            avatar = null,
        )

        val Login = HomePersonalUserUiState(
            name = "登录",
            avatar = "",
        )
    }
}

data class HomePersonalInteractiveUiState(
    val followerCount: Int = 0,
    val fansCount: Int = 0,
    val likeCount: Int = 0,
    val collectionCount: Int = 0,
)